/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// CreatePostRequestMetadata : A JSON object to add post metadata, e.g the post's priority

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreatePostRequestMetadata {
    #[serde(rename = "priority", skip_serializing_if = "Option::is_none")]
    pub priority: Option<Box<crate::openapi::models::CreatePostRequestMetadataPriority>>,
}

impl CreatePostRequestMetadata {
    /// A JSON object to add post metadata, e.g the post's priority
    pub fn new() -> CreatePostRequestMetadata {
        CreatePostRequestMetadata { priority: None }
    }
}
